### Method

# Shumate FileCache purge_cache_async

#### Declaration [src]

    void
    shumate_file_cache_purge_cache_async (
      ShumateFileCache* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Removes less used tiles from the cache, if necessary, until it fits in the size limit.

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.